Skip to main content
GET
/
forward
Forward GET request
curl --request GET \
  --url https://api.lava.so/v1/forward \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "id": "gpt-4-1106-preview",
      "object": "model",
      "created": 1699066192,
      "owned_by": "openai"
    },
    {
      "id": "gpt-3.5-turbo",
      "object": "model",
      "created": 1677610602,
      "owned_by": "openai"
    }
  ]
}

Authorizations

Authorization
string
header
required

Special authentication used for the forward endpoint. Requires a base64-encoded JSON object containing secret_key, connection_id, and meter_slug. Optionally include provider_key to use your own API key for the request. When using your own API key, you can make requests that use metering only by setting both connection_id and meter_slug to null. Format: 'Bearer BASE64_ENCODED_JSON'

Query Parameters

u
string
required

The API endpoint URL to forward the request to

Response

Successful response from the provider API

Response from the provider API